Bug 123220 - No alert when deleting custom Character Style applied in paragraph's Drop Caps
Summary: No alert when deleting custom Character Style applied in paragraph's Drop Caps
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paragraph-Drop-Caps
  Show dependency treegraph
 
Reported: 2019-02-07 09:08 UTC by Nithin
Modified: 2019-02-12 08:00 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Test Document (9.79 KB, application/vnd.oasis.opendocument.text)
2019-02-11 08:09 UTC, Nithin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nithin 2019-02-07 09:08:47 UTC
Description:
When deleting a formatting (Paragraph or Character or any other) it can be really useful if there was an Alert in case the Formatting is currently in use in some part of the document. With maybe a button to jump to that place. 

Right now this can be done by searching for a particular formatting using the search tool and verifying if it is in use somewhere.


Hence this feature is only a enhancement 

Actual Results:
Currently the formatting is simply deleted

Expected Results:
User is alerted when deleting a formatting that it is already in use.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Timur 2019-02-07 15:00:11 UTC Comment hidden (obsolete)
Comment 2 Timur 2019-02-07 15:27:28 UTC Comment hidden (obsolete)
Comment 3 Nithin 2019-02-08 08:35:24 UTC
OK i have checked for some use cases. bug 81467 refers to conditional formatting in Excel. I don't know if the two are related. 

I just observed that Libreoffice DOES give an alert when deleting formatting which is directly applied.

This bug refers to, when a Character Style formatting is applied in Drop-Caps and then this character Style is deleted. I have edited the Summary to make the Problem more clear.
Comment 4 Timur 2019-02-08 10:07:49 UTC
Please write exact reproducible steps (including how you delete the style) and attach a sample document.
Comment 5 Nithin 2019-02-11 08:08:51 UTC
Steps to reproduce

1. Open Test.odt

2. The first paragraph has Paragraph Formatting - "Standard" with "DropCaps" activated. The "Drop Caps" has Character formatting set to "Test_Character_Style". 

3. Delete the character format (Right Click -> Delete) - > Test_Character_Style. (The "Drop Caps" T loses its formatting)

# Bug No.1 -> No alert when deleting Character formatting

4. Undo this deletion using Edit->Undo or Ctrl+Z

# Bug No.2 -> The "DropCaps" Character formatting is not undone. 

5. Right click on Paragraph Format "Standard" -> Edit

# Bug No.3 -> LibreOffice Writer crashes.
Comment 6 Nithin 2019-02-11 08:09:20 UTC
Created attachment 149078 [details]
Test Document
Comment 7 Timur 2019-02-11 08:58:47 UTC
I do not repro point 3. that the "Drop Caps" T loses its formatting on character style delete (which would be correct behavior).
Nithin, can you please confirm? If so, that should be reported separately. 

But I do repro (test in Windows):
- No alert for style in use when deleting custom Character Style used in "Drop Caps" (inherited from OO)
- The "Drop Caps" Character formatting is not restored on delete undo (inherited from OO, seen with older LO where there's no crash)
- Writer crashes on right click - Paragraph or Format - Paragraph (not in OO and LO 6.0, newer bug repro in 6.1 and 6.3+)

Crash report is at crashreport.libreoffice.org/stats/crash_details/ffdd08a3-651b-43df-bf22-0ea58c87d5ce. 
Very nice that we have repro steps and I'll report separately.
Comment 8 Nithin 2019-02-11 20:50:55 UTC
Yes i confirm that it indeed loses its formatting on a Linux as well now. Can you check if you have the font in Test_Character_Style installed on your system. I think its Linux Biolinum. For me I can at least see that its changing from Bold to normal, when i delete the character style. even though I dont have this font on my current system.
Comment 9 Timur 2019-02-12 08:00:01 UTC
OK, "Drop Caps" T really loses its formatting on character style delete. Drop Caps remains (I didn't notice change). No bug there.
So we have two bugs: this bug "No alert on delete" and "not restored on delete undo" that may wait until this one is resolved (which may take a long time). Third bug "crash on Paragraph" is fixed.